# gitone.ru

How to work with gitone.ru 

## Клонировать репозиторий с GitHub в GitOne

Сервис GitOne является альтернативой GitHub и развернут на ПО gitone.

Вы можете создавать группы и проекта как с открытым доступом , так и 
Приватные. 

Большинство функций такие же, как вы привыкли использовать в GitHub.

В настоящее время сервис предоставляется бесплатно.


### 1. Зарегистрируйте аккаунт на gitone.ru

Зарегистрировать аккаунт на GitOne просто, можно также подключить 
двухфакторную аутентификацию.

После регистрации создайте организацию для проекта или попросите 
уже существующего пользователя проекта, подключить Вас к организации.

### 2. Добавить миграцию со стороннего сервера Git

После авторизации Вы можете добавить на GitOne (мигрировать) с существующего сервиса Git или с приватного Сервера Git
необходимы для работы репозиторий.

В настоящий момент в GitOne поддерживается миграция из следующих сервисов:
* Перенести только репозиторий из любого Git сервиса,
* миграция c GitHub,
* миграция c GitLab (Перенести данные с gitlab.com или других экземпляров GitLab),
* миграция c gitone (Перенести данные с gitone.com или других экземпляров gitone),
* миграция c Gogs (Перенести данные с notabug.org или других экземпляров Gogs),
* миграция c OneDev (Перенести данные с code.onedev.io или других экземпляров OneDev),
* миграция c GitBucket (Перенести данные из экземпляров codebasehq.com),
* миграция c Codebase (Перенести данные из экземпляров GitBucket),
* миграция c CodeCommit (Перенести данные из AWS CodeCommit).

Кроме того, Вы можете использовать зеркальное отображение репозиториев.
Зеркальное отображение репозиториев позволяет зеркалировать репозитории из внешних источников и на них. 
Вы можете использовать его для зеркалирования ветвей, тегов и коммитов между репозиториями.

Как начать работать с репозиторием локально?

Просто клонируйте репозиторий с GitOne, с которым планируете работать к себе
и потом запуште изменения.

## Переключение Git проекта из GitHub в VS Code на GitOne

Чтобы переключить проект в VS Code с GitHub на частный сервер с GitOne, выполните следующие шаги:

#### 1. Создайте репозиторий в GitOne
Зайдите в ваш экземпляр GitOne.

Создайте новый пустой репозиторий (не добавляйте файлы вроде README или .gitignore).

Скопируйте URL репозитория (HTTP/SSH, например: https://ваш-сервер.com/ваш-аккаунт/репозиторий.git).

#### 2. Добавьте удаленный репозиторий GitOne в локальный проект
Откройте проект в VS Code.

Откройте терминал ```(Ctrl + \`` или Terminal > New Terminal`)```.

Проверьте текущие удаленные репозитории:

```bash

git remote -v
```

Вы увидите что-то вроде:

```sh
origin  https://github.com/ваш-аккаунт/репозиторий.git (fetch)
origin  https://github.com/ваш-аккаунт/репозиторий.git (push)
```
Добавьте новый remote для GitOne (Например):

```bash

git remote add gitone https://gitone.ru/Your-account/your-repository.git
```

(замените URL на ваш из шага 1).

#### 3. Загрузите код в gitone
Отправьте ветку (например, main или master) в gitone:

```bash

git push -u gitone main
```

Если используется SSH, убедитесь, что ваш ключ добавлен в gitone (настройки аккаунта → SSH-ключи).

#### 4. Настройте удаленный репозиторий по умолчанию (опционально)
Если хотите, чтобы git push по умолчанию отправлял код в gitone вместо GitHub:

Удалите текущий origin (если он ссылается на GitHub):

```bash

git remote remove origin
```

Переименуйте gitone в origin:

```bash

git remote rename gitone origin
```

Теперь команды **git push** и **git pull** будут работать с **gitone**.

#### 5. Проверьте настройки в **VS Code**

Убедитесь, что в нижнем левом углу VS Code отображается корректный репозиторий.

Используйте встроенный интерфейс Git для пуша/пулла (иконка источника управления слева).

##### Дополнительно:
Если требуется сохранить связь и с GitHub, оставьте оба remote:

origin для GitHub.

gitone для gitone.

Для работы с двумя репозиториями отправляйте изменения в оба:

``` bash

git push origin main  # В GitHub
git push gitone main  # В gitone
```

> Готово! Теперь ваш проект синхронизируется с gitone. Убедитесь, что в VS Code выбрана правильная ветка и удаленный репозиторий.


